<script setup>
import { useKhronosStore } from "@/store";
import { watch, ref, computed } from "vue";
import { storeToRefs } from "pinia";

const store = useKhronosStore();

const { isConnected, lastRefresh } = storeToRefs(store);

const refreshTime = 15 * 1000;

const timeLeftToRefresh = ref(0);

// Set interval to refresh state
store.refresh();
setInterval(() => {
  store.refresh();
}, refreshTime);

setInterval(() => {
  timeLeftToRefresh.value -= 1000;
}, 1000);

// Watch store to reflect current state
watch(isConnected, (prev, curr) => {
  console.log("Wallet refreshed", prev, curr); // lebo...
  store.refresh();
});

watch(lastRefresh, (prev, curr) => {
  timeLeftToRefresh.value = refreshTime;
  prev = curr;
});

const timeLeftToRefreshPercent = computed(() => {
  return 100 / (refreshTime / timeLeftToRefresh.value);
});
</script>

<template>
  <span @cllick="store.refresh">
    <ve-progress
      class="refresh-circle"
      :size="30"
      :thickness="3"
      reverse
      :progress="timeLeftToRefreshPercent"
    >
      <slot name="legend-value"><span></span></slot>
    </ve-progress>
  </span>
</template>

<style scoped>
</style>
